%define name	gmodconfig
%define version	0.3
%define release 2mdk

Name: 	 	%{name}
Summary: 	Kernel module utilities for GTK2.
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://gmodconfig.sourceforge.net/
License:	GPL
Group:		System/Configuration/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig gettext
BuildRequires:	libxml++-devel libgnomeui2-devel
Requires:	gksu

%description
GModConfig is a GNOME2 application which allows (or will allow) Linux users to:
    * configure kernel modules' parameters, in their native language (if such
      translations exist),
    * check for new versions of kernel modules, as well as download, build and
      install those
    * access kernel modules informations (license, authors, link to website)

It's mainly aimed at non-experienced Linux users, however even long time Linux
users might find it useful! 

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="gksu %{name}" icon="configuration_section.png" needs="x11" title="GModConfig" longtitle="Kernel Module Utilities" section="Configuration/Other"
?package(%{name}): command="gksu %{name}edit" icon="configuration_section.png" needs="x11" title="GModConfigEdit" longtitle="Kernel Module XML Editor" section="Configuration/Other"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%name
%{_bindir}/gmodconfigedit
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Mon Aug 25 2003 Austin Acton <aacton@yorku.ca> 0.3-2mdk
- rebuild for libxml++

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.3-1mdk
- initial package
